For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Platform
    • Introduction
    • Screenings
    • Immigration
  • Endpoints
      • GETGet cost centers by legal entity
LogoLogo
SupportDeel Home
EndpointsCost Centers

Get cost centers by legal entity

GET
/legal-entities/:legal_entity_id/cost-centers
GET
/rest/v2/legal-entities/:legal_entity_id/cost-centers
$curl https://api.letsdeel.com/rest/v2/legal-entities/ce652eb3-d49c-3675-8184-d873544eedf7/cost-centers \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": 7654,
5 "created_at": "2025-01-01T00:00:00.000Z",
6 "updated_at": "2025-01-01T00:00:00.000Z",
7 "cost_center_name": "HRIS main",
8 "cost_center_number": "hris-1"
9 }
10 ]
11}

Returns all cost centers associated with the specified legal_entity_id. Token scopes: legal-entity:read

Was this page helpful?
Previous

Clone a Group

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

legal_entity_idstringRequiredformat: "uuid"
Legal entity id

Response

Cost center data was successfully fetched
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/